package com.swago.baseswago.libpay

import com.android.billingclient.api.Purchase
import com.swago.baseswago.model.pay.PayModel

/**
 *@date 2021/11/8 20:06
 *description:
 */
interface IPayCallback {

    fun onConnectedServer()
    fun onPaySuccess(data:List<Purchase>?)
    fun onQueryProductPrice(data:List<PayModel>)
    fun onPayError(code:Int)
    fun onPayCancel()
    fun onUnConsumeOrder(data:List<Purchase>)
    fun consumeOrderSuccess()
    fun consumeOrderFail(code:Int)
    fun toCreateNewOrder(productId:String)

}